Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000538KdenliveRenderingpublic2008-12-30 02:552009-04-15 13:08
Reporterddennedy 
Assigned Tojmpoure 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.7.1 
Target VersionFixed in Version0.7.2 
Summary0000538: DV NTSC render profiles have wrong pix_fmt
DescriptionThe pix_fmt for DV NTSC should be yuv411p not yuv420p. This applies to 4:3 and 16:9 profiles. There is actually no difference between DV and DVCPRO25 for NTSC as far as FFmpeg is concerned. I am not sure if FFmpeg supports yuv411p for PAL for DVCPRO25 - I have to test that - but if so, then DVCPRO25 for PAL would use yuv411p.
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships
has duplicate 0000562closedddennedy DV NTSC profile renders blank raw DV NTSC 4:3, ATI DV NTSC 4:3 
has duplicate 0000585closedddennedy Can't export Raw DV 

-  Notes
(0002010)
madsdyd (administrator)
2009-01-02 18:59

Acknowledged - and shortly assigning to jmpoure, since he is the "render profile master" :-)
(0002049)
jmpoure (developer)
2009-01-04 17:47

My source of information was:
http://itbroadcastanddigitalcinema.com/ffmpeg_howto.html#Encoding_DVCAM_DVCPRO25_DVCPRO50 [^]

What should I do?
(0002050)
ddennedy (developer)
2009-01-04 20:18

You should test it. It fails to create a file as it is, and it is not due to a bug in FFmpeg. That web page does not recognize any differences between PAL and NTSC for DV, and there are. Also, don't neglect that I have been working with DV from the codec and FireWire level on up for 8 years.
(0002051)
ddennedy (developer)
2009-01-04 20:22

Here is another authoritative source of information outside of the specs:

http://www.adamwilt.com/DV-tech.html [^]
(0002065)
jmpoure (developer)
2009-01-05 10:49
edited on: 2009-01-05 10:50

Dear Dan,

I am not neglecting your sources. I do my best to work on the export profiles and I am still learning. This is quite a difficult task for me. When I find new information about FFmpeg, I try to commit changes to export profiles. This is quite difficult, as FFmpeg is not well documented.

I will fix profiles during the day. Bye, Jean-Michel

(0002069)
jmpoure (developer)
2009-01-05 14:24

Here is the output:
<group name="AVI DV" renderer="avformat" type="av" extension="avi">
  <profile name="DV PAL 4:3" standard="PAL" args="f=avi vcodec=dvvideo pix_fmt=yuv420p acodec=pcm_s16le s=720x576 profile=dv_pal" />
  <profile name="DV PAL 16:9" standard="PAL" args="f=avi vcodec=dvvideo pix_fmt=yuv420p acodec=pcm_s16le s=720x576 profile=dv_pal_wide" />
  <profile name="DVCPRO25 PAL 4:3" standard="PAL" args="f=avi vcodec=dvvideo pix_fmt=yuv411p acodec=pcm_s16le s=720x576 profile=dv_pal" />
  <profile name="DVCPRO25 PAL 16:9" standard="PAL" args="f=avi vcodec=dvvideo pix_fmt=yuv411p acodec=pcm_s16le s=720x576 profile=dv_pal_wide" />
  <profile name="DVCPRO50 PAL 4:3" standard="PAL" args="f=avi vcodec=dvvideo pix_fmt=yuv422p acodec=pcm_s16le s=720x576 profile=dv_pal" />
  <profile name="DVCPRO50 PAL 16:9" standard="PAL" args="f=avi vcodec=dvvideo pix_fmt=yuv422p acodec=pcm_s16le s=720x576 profile=dv_pal_wide" />

  <profile name="DV NTSC 4:3" standard="NTSC" args="f=avi vcodec=dvvideo pix_fmt=yuv411p acodec=pcm_s16le s=720x480 profile=dv_ntsc" />
  <profile name="DV NTSC 16:9" standard="NTSC" args="f=avi vcodec=dvvideo pix_fmt=yuv411p acodec=pcm_s16le s=720x480 profile=dv_ntsc_wide" />
  <profile name="DVCPRO25 NTSC 4:3" standard="NTSC" args="f=avi vcodec=dvvideo pix_fmt=yuv411p acodec=pcm_s16le s=720x480 profile=dv_ntsc" />
  <profile name="DVCPRO25 NTSC 16:9" standard="NTSC" args="f=avi vcodec=dvvideo pix_fmt=yuv411p acodec=pcm_s16le s=720x480 profile=dv_ntsc_wide" />
  <profile name="DVCPRO50 NTSC 4:3" standard="NTSC" args="f=avi vcodec=dvvideo pix_fmt=yuv422p acodec=pcm_s16le s=720x480 profile=dv_ntsc" />
  <profile name="DVCPRO50 NTSC 16:9" standard="NTSC" args="f=avi vcodec=dvvideo pix_fmt=yuv422p acodec=pcm_s16le s=720x480 profile=dv_ntsc_wide" />
</group>
is this okay?
(0002101)
jmpoure (developer)
2009-01-11 10:33

Closing bug.
(0002209)
madsdyd (administrator)
2009-01-25 22:25

Changing "Fixed in Version" to SVN - makes it show up in Changelog.

Also, it seems the fix was in svn rev. 2870.

- Issue History
Date Modified Username Field Change
2008-12-30 02:55 ddennedy New Issue
2008-12-30 02:55 ddennedy Build/Install Method => Manual build from SVN
2009-01-02 18:59 madsdyd Note Added: 0002010
2009-01-02 18:59 madsdyd Status new => acknowledged
2009-01-02 18:59 madsdyd Status acknowledged => assigned
2009-01-02 18:59 madsdyd Assigned To => jmpoure
2009-01-04 17:47 jmpoure Note Added: 0002049
2009-01-04 20:18 ddennedy Note Added: 0002050
2009-01-04 20:22 ddennedy Note Added: 0002051
2009-01-04 20:50 ddennedy Relationship added has duplicate 0000562
2009-01-05 10:49 jmpoure Note Added: 0002065
2009-01-05 10:50 jmpoure Note Edited: 0002065
2009-01-05 14:24 jmpoure Note Added: 0002069
2009-01-11 10:33 jmpoure Note Added: 0002101
2009-01-11 10:33 jmpoure Status assigned => resolved
2009-01-11 10:33 jmpoure Resolution open => fixed
2009-01-12 10:58 jmpoure Status resolved => closed
2009-01-15 09:44 ddennedy Relationship added has duplicate 0000585
2009-01-25 22:25 madsdyd Note Added: 0002209
2009-01-25 22:25 madsdyd Fixed in Version => Recent git
2009-04-15 13:08 madsdyd Fixed in Version Recent git => 0.7.2


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker